---
sidebar_position: 21
description: Get chats structure and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get chats structure
 Get chat fields structure



`Function GetChatStructure(Val Clear = False) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Clear | --empty | Boolean | &#x2716; | True > structure with empty values, False > field types at values |

  
  Returns:  Structure Of KeyAndValue - Fields structure



```bsl title="1C:Enterprise/OneScript code example"
    Clear  = False;
    Result = OPI_Bitrix24.GetChatStructure(Clear);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 GetChatStructure \
             --empty false
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 GetChatStructure ^
             --empty false
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "TYPE": "<Chat type OPEN (Public) | CHAT (Private)>",
 "TITLE": "<Chat title>",
 "DESCRIPTION": "<Chat description>",
 "COLOR": "<Chat color: RED, GREEN, MINT, LIGHT_BLUE, DARK_BLUE, PURPLE, AQUA, ...>",
 "MESSAGE": "<First chat message>",
 "USERS": "<Chat members array>",
 "AVATAR": "<Base64 chat picture>",
 "OWNER_ID": "<ID of chat owner. Current user by default>"
}
```
